package com.bytesw.bytebot.bean;

import com.bytesw.bytebot.model.Country;
import com.bytesw.bytebot.model.Timezone;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 10-sep-2020
 * <p>
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 * <p>
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Getter
@Setter
@ToString
public class CountryBean {

    @Expose
    private Long id;

    @Expose
    private String name;

    @Expose
    private List<String> timezones;


    public static CountryBean clone(Country country) {
        CountryBean bean = new CountryBean();

        bean.setId(country.getId());
        bean.setName(country.getName());
        bean.setTimezones(new ArrayList<>());

        if (country.getTimezones() != null) {
            for (Timezone timezone : country.getTimezones()) {
                bean.getTimezones().add(timezone.getTimezone());
            }
        }

        return bean;
    }
}
